global fixPal, myLine, csn, lem, palName, bd, tpal, myLine2, gdirmovie, gVolume, gBackColor, gForeColor

on startMovie
  if the machineType < 256 then
    openXLib("XPALETTE")
    set fixPal to fixPalette(mnew, the stageLeft, the stageTop, the stageRight, the stageBottom)
  else
    openXLib("XPALETTE.dll")
    set fixPal to XPALETTE(mnew)
  end if
  if the colorDepth = 8 then
    set gBackColor to 31
    set gForeColor to 255
  end if
  if the colorDepth = 16 then
    if the machineType < 256 then
      set gBackColor to 31
      set gForeColor to 255
    else
      set gBackColor to 31
      set gForeColor to 255
    end if
  end if
  if the colorDepth = 24 then
    if the machineType < 256 then
      set gBackColor to 31
      set gForeColor to 255
    else
      set gBackColor to 31
      set gForeColor to 255
    end if
  end if
  if the colorDepth = 32 then
    if the machineType < 256 then
      set gBackColor to 31
      set gForeColor to 255
    else
      set gBackColor to 46542
      set gForeColor to 0
    end if
  end if
  set auto to 0
  set ok to 3
  set myLine to 1
  set myLine2 to 1
  set tpal to 201
  set csn to the number of lines in field "asset list"
  cursor(0)
  colorMe()
  txtHandler()
  checkMooV()
  updateStage()
end

on checkMooV
  global myLine, gVolume
  if (the castNum of sprite 10 >= 101) and (the castNum of sprite 10 <= 104) then
    set the controller of cast (myLine + 100) to 0
    set the controller of cast (myLine + 100) to 1
  else
    if (the castNum of sprite 10 >= 114) and (the castNum of sprite 10 <= 117) then
      set the controller of cast (myLine + 100) to 0
      set the controller of cast (myLine + 100) to 1
    else
      exit
    end if
  end if
end

on txtHandler
  global myLine, gVolume
  if ((myLine >= 1) and (myLine <= 4)) or ((myLine >= 14) and (myLine <= 17)) then
    set the visible of sprite 6 to 0
  else
    set the visible of sprite 6 to 1
  end if
  updateStage()
  puppetPalette(myLine + 200)
  patchPal()
  set the castNum of sprite 4 to myLine + 50
  set the castNum of sprite 10 to myLine + 100
  updateStage()
end

on colorMe
  set the foreColor of field "asset list" to gForeColor
  if myLine = -1 then
    set the foreColor of field "asset list" to gForeColor
    exit
  end if
  set the foreColor of line myLine of field "asset list" to gBackColor
end

on patchPal
  fixPal(mPatchIt)
end

on stopMovie
  if the machineType < 256 then
    fixPal(mdispose)
    closeXLib("XPALETTE")
  else
    fixPal(mdispose)
    closeXLib("XPALETTE.dll")
  end if
end

on flushMe
  if the machineType = 256 then
    openXLib("GLOBMEM")
    set OBJ to GLOBMEM(mnew)
    OBJ(mFreeHandles, 8192)
    OBJ(mFreeHandles, 8192)
    OBJ(mFreeHandles, 8192)
    OBJ(mdispose)
  end if
end
